Page MenuHomePhabricator

Remove some useless BlueOcean dependencies
Closed, ResolvedPublic

Description

The BlueOcean interface is to be installed via a plugin aggregator which in turns depends on every single BlueOcean plugins written to add support for various plugins such as Jira, GitHub. We then have way too many plugins installed.

Upstream Jenkins has an issue filled about it: https://issues.jenkins-ci.org/browse/JENKINS-42502 , the recommendation is to uninstall the BlueOcean aggregator plugin which in turn would let us remove the other plugins we do not need. The caveat is that we will have to ensure all the BlueOcean plugins are at the same major version.

Event Timeline

hashar created this task.Sep 24 2019, 8:48 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2019, 8:48 AM

Mentioned in SAL (#wikimedia-releng) [2019-10-15T09:30:59Z] <hashar> CI Jenkins: uninstalling BlueOcean meta plugin to let us uninstall plugins we do not care about # T233695

hashar closed this task as Resolved.Oct 15 2019, 12:05 PM
hashar claimed this task.

Deleted the Blue Ocean plugin and uninstalled several other plugins we do not care about such as Jira or Mercurial support. Surely others could be uninstalled but that is good enough for now.